Bug 1444142 - python-networking-bigswitch package version in OSP9 is higher than the one in OSP10 or OSP11
Summary: python-networking-bigswitch package version in OSP9 is higher than the one in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-bigswitch
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Steve Linabery
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks: 1444536
TreeView+ depends on / blocked
 
Reported: 2017-04-20 16:32 UTC by Marius Cornea
Modified: 2017-05-17 20:23 UTC (History)
10 users (show)

Fixed In Version: python-networking-bigswitch-10.0.4-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1444536 (view as bug list)
Environment:
Last Closed: 2017-05-17 20:23:22 UTC


Attachments (Terms of Use)
showing that update fails while remove install succeeds (4.75 KB, text/plain)
2017-05-07 13:01 UTC, GenadiC
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
RDO 6333 None None None 2017-04-21 13:14:09 UTC

Description Marius Cornea 2017-04-20 16:32:19 UTC
Description of problem:
python-networking-bigswitch package version in OSP9 (python-networking-bigswitch-2015.3.8-1.el7ost.noarch) is higher than the one in OSP10 (python-networking-bigswitch-9.40.0-1.1.el7ost.noarch) so the package doesn't get updated during the upgrade workflow.

As a result the 9->10->11 upgrade process fails on the neutron-db-manage  upgrade heads step.

Version-Release number of selected component (if applicable):
python-networking-bigswitch-9.40.0-1.1.el7ost.noarch

Comment 4 GenadiC 2017-05-07 12:59:55 UTC
I tried updating python-networking-bigswitch-2015.3.8-1.el7ost.noarch from 9 version to 10.
After installing the package on version 9, I removed the repo of version 9 and run 'rhos release 10' to create repo for 10 in order to run yum update command.

yum update failed when having the repo of 10, but if you remove the python-networking-bigswitch (that was installed during 9 installation) and install it again an action succeeds.
So in order to update the versin of python-networking-bigswitch you need to remove and install the package again instead of running yum update command

Comment 5 GenadiC 2017-05-07 13:01:46 UTC
Created attachment 1276854 [details]
showing that update fails while remove install succeeds

Comment 6 Mike Burns 2017-05-08 13:53:34 UTC
This bug fixed 10 to 11.  Failing this fort 9 to 10 isn't right. Please look at bug 1444536 for 9 to 10

Comment 7 errata-xmlrpc 2017-05-17 20:23:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.